Межсайтовый скриптинг и SQL-инъекция в VP-ASP Shopping Cart

Дата публикации:
15.01.2007
Дата изменения:
24.03.2009
Всего просмотров:
3114
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-0224
CVE-2007-0225
CVE-2008-0449
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
VP-ASP Shopping Cart 6.x
Уязвимые версии: VP-ASP Shopping Cart 6.00, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "LoginLastname" сценария shopgiftregsearch.asp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/[path]//shopgiftregsearch.asp?LoginLastname=[SQL]

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "msg" сценария shopcustadmin.asp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.vpasp.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA